using FooTheory.UnityExample.BusinessRules.Interfaces.Domain;
using FooTheory.UnityExample.BusinessRules.Interfaces.DTO;
using FooTheory.UnityExample.BusinessRules.Interfaces.Services.Mappers;

namespace FooTheory.UnityExample.BusinessRules.Services.Mappers
{
    public class CustomerDTOMapper : ICustomerDTOMapper
    {
        #region IMapper<ICustomer,CustomerDTO> Members

        public CustomerDTO MapFrom(ICustomer input)
        {
            return new CustomerDTO(input.Name, input.Id, input.Age);
        }

        #endregion
    }
}