using FooTheory.UnityExample.BusinessRules.Domain;
using FooTheory.UnityExample.BusinessRules.Interfaces.DataAccess;
using FooTheory.UnityExample.BusinessRules.Interfaces.Domain;

namespace FooTheory.UnityExample.BusinessRules.DataAccess
{
    public class CustomerRepository : ICustomerRepository
    {
        #region IRepository<ICustomer> Members

        public ICustomer GetFrom(int id)
        {
            // Return a fake customer, this would normall come from a database
            // but for this example we're just going to create a fake one. 
            return new Customer("Foo Bar", id, 11); 
        }

        #endregion
    }
}